Ben
Burton
bab@debian.org
March 7, 2003
addebug
1

# `addebug`

Modifiziert `Makefile`(s) um Debug-Informationen hinzuzufügen.

    adddebug -k -r -n

## Beschreibung

`adddebug` modifiziert `Makefile` im aktuellen Verzeichnis (und optional in den Unterverzeichnissen) damit Debug-Informationen (`-g3`) hinzugefügt werden. Außerdem werden Optimierungen ausgeschaltet (`-O[1-9]`).

Dieses Hilfsprogramm gehört zum Software Development Kit von &kde;.

## Aufrufparameter

`-k`

  Optimierungen beibehalten (die Flags `-O[1-9]` werden nicht entfernt)

`-r`

  Suche rekursiv in allen Unterverzeichnissen des aktuellen Verzeichnisses und ändere alle gefundenen `Makefile`s.

`-n`

  kompiliere ohne Definierung von NDEBUG und NO_DEBUG (bewirkt, dass Aufrufe von `kdDebug` funktionieren).